Command "roslaunch gazebo_ros empty_world.launch" crashes gazebo

asked 2017-05-08 14:05:45 -0600

Vlad222 gravatar image

HI everyone!

Gazebo version 8.1.0

Today I made:

sudo apt-get upgrade

And now I can't launch it using:

roslaunch gazebo_ros empty_world.launch

I have error:

....
process[gazebo_gui-2]: started with pid [18833]
*** Error in `gzclient': free(): invalid size: 0x00007f40937f58c0 ***
======= Backtrace: =========
/lib/x86_64-linux-gnu/libc.so.6(+0x777e5)[0x7f4094e787e5]
/lib/x86_64-linux-gnu/libc.so.6(+0x7fe0a)[0x7f4094e80e0a]
/lib/x86_64-linux-gnu/libc.so.6(cfree+0x4c)[0x7f4094e8498c]
/usr/lib/x86_64-linux-gnu/libstdc++.so.6(_ZNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEE9_M_assignERKS4_+0xaf)[0x7f40954ff3ef]
/usr/lib/x86_64-linux-gnu/libgazebo_gui.so.8(+0x1ae0e5)[0x7f4096aa30e5]
/usr/lib/x86_64-linux-gnu/libgazebo_gui.so.8(_ZN6gazebo3gui12RenderWidget9AddPluginERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEESt10shared_ptrIN3sdf7ElementEE+0xc6)[0x7f4096af5b86]
/usr/lib/x86_64-linux-gnu/libgazebo_gui.so.8(_ZN6gazebo3gui12RenderWidget10AddPluginsERKSt6vectorINSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEESaIS8_EE+0xf6)[0x7f4096af60a6]
/usr/lib/x86_64-linux-gnu/libgazebo_gui.so.8(_ZN6gazebo3gui3runEiPPc+0x146)[0x7f4096a67a16]
gzclient[0x40293c]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf0)[0x7f4094e21830]
gzclient(_start+0x29)[0x402ba9]
======= Memory map: ========
00400000-00a22000 r-xp 00000000 08:13 4471810                            /usr/bin/gzclient-8.1.0
00c21000-00c22000 r--p 00621000 08:13 4471810                            /usr/bin/gzclient-8.1.0
.....

How can I fix it? I upgraded all packets from Synaptic and reinstalled gazebo8 and gazebo_ros but error is the same.

P.S. I installed gazebo using:

curl -ssL http://get.gazebosim.org | sh
edit retag flag offensive close merge delete

Comments

Gazebo 7.7 is ok, but it is better for me to use gazebo8

Vlad222 gravatar imageVlad222 ( 2017-05-08 16:16:16 -0600 )edit

Are you using ros-kinetic-gazebo8-ros-pkgs ?

chapulina gravatar imagechapulina ( 2017-05-08 17:14:32 -0600 )edit

Yes, of course. I had stable gazebo_ros before upgrading packages. I downgraded Gazebo to 7.7 (also to ros-kinetic-gazebo-ros-control) and working with it now.

Vlad222 gravatar imageVlad222 ( 2017-05-08 18:37:16 -0600 )edit